package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.common.core.domain.entity.SysDept;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 部门管理 数据层
 *
 * @author hx
 */
@Mapper
public interface BaseDeptMapper extends BaseMapper<SysDept> {
    
    /**
     * 根据部门名称查询信息
     * @param deptName
     * @return
     */
    Long selectDeptByDeptName(@Param("deptName") String deptName);
}
