package com.ozs.service.mapper;

import com.ozs.service.entity.BaseDeviceDynamicManagement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.vo.BaseCameraManagementDto;
import com.ozs.service.entity.vo.CameraTreeVo;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 设备动态管理表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Mapper
public interface BaseDeviceDynamicManagementMapper extends BaseMapper<BaseDeviceDynamicManagement> {

    List<BaseCameraManagementDto> list(CameraTreeVo cameraTreeVo);
}
