package com.ozs.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.service.entity.BaseRailwayManagement;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   线路管理表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
public interface BaseRailwayManagementService extends IService<BaseRailwayManagement> {
    /**
     * 线路管理表导入
     * @param accountManageList
     * @param updateSupport
     * @param userId
     * @return
     */
    String importBaseLineManagement(List<BaseRailwayManagement> accountManageList, boolean updateSupport,String userId);

    String getCameraNameByCameraCode(String cameraCode);
}
